DELETE FROM `dataPacket` WHERE `localuid` IS NULL;
DELETE FROM `dataPart` WHERE `localuid` IS NULL;
DELETE FROM `lessoncache` WHERE `localuid` IS NULL;
DELETE FROM `wrongWordBook` WHERE `localuid` IS NULL;
DELETE FROM `nps` WHERE `_id` IS NULL;

DELETE FROM `coursecache` WHERE `wsType` IS NULL;
UPDATE `coursecache` SET `disabled` = 0 WHERE `disabled` IS NULL;

DELETE FROM `dataPacket` WHERE `localuid` IS NULL OR `ctime` IS NULL OR `utime` IS NULL;
UPDATE `dataPacket` SET `downloadedSize` = 0 WHERE `downloadedSize` IS NULL;

-- ${DownloadStatus.WAITING} == 3
UPDATE `dataPart` SET `downloadStatus` = 3 WHERE `downloadStatus` IS NULL;
UPDATE `dataPart` SET `downloadedSize` = 0 WHERE `downloadedSize` IS NULL;
DELETE FROM `dataPart` WHERE `localUid` IS NULL OR `size`  IS NULL OR  `weight`  IS NULL OR  `atime`  IS NULL OR  `ctime` IS NULL;

-- ${CheckLiveType.DUO_BEI} == 0,
-- ${CheckLiveType.KAO_CHONG} == 1
UPDATE `lessoncache` SET `disabled` = 0 WHERE `disabled` IS NULL;
UPDATE `lessoncache` SET `liveType` = 0 WHERE `liveType` IS NULL;
DELETE FROM `lessoncache` WHERE `liveType` NOT IN (0, 1);
DELETE FROM `lessoncache` WHERE `token` IS NOT NULL OR `talkfunKey` IS NOT NULL OR `talkfunRoomId` IS NOT NULL;

DELETE FROM `playprogress` WHERE `token` IS NULL OR `type` IS NULL;

ALTER TABLE `nps` RENAME TO `nps_tmp`;
CREATE TABLE IF NOT EXISTS `nps` (`_id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `npsId` INTEGER NOT NULL, `lessonId` INTEGER NOT NULL, `phoneNumber` TEXT, `score` INTEGER NOT NULL, `stime` INTEGER NOT NULL, `selectedVocTag` TEXT, `status` INTEGER NOT NULL, `entry` INTEGER NOT NULL);
CREATE UNIQUE INDEX `nps_uni_phone_lessonId` ON `nps` (`phoneNumber`, `lessonId`);
INSERT INTO `nps`(`npsId`,`lessonId`,`phoneNumber`,`score`,`stime`,`selectedVocTag`,`status`,`entry`) SELECT `npsId`,`lessonId`,`phoneNumber`,`score`,`stime`,`selectedVocTag`,`status`,`entry` FROM `nps_tmp`;
DROP TABLE `nps_tmp`;

CREATE TABLE IF NOT EXISTS `course_cache` (`_id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `localUid` INTEGER NOT NULL, `courseId` INTEGER NOT NULL, `type` INTEGER NOT NULL, `lessonCount` INTEGER NOT NULL, `downloadedCount` INTEGER NOT NULL, `downloadedSize` INTEGER NOT NULL, `downloadStatus` INTEGER NOT NULL, `utime` INTEGER NOT NULL, `ctime` INTEGER NOT NULL, `title` TEXT, `pic` TEXT, `courseBegin` INTEGER NOT NULL, `courseFinish` INTEGER NOT NULL, `expirationDate` INTEGER NOT NULL, `qqGroup` TEXT, `disabled` INTEGER NOT NULL, `wsType` INTEGER NOT NULL);
CREATE UNIQUE INDEX `course_cache_uni_uid_courseId` ON `course_cache` (`localUid`, `courseId`);
INSERT INTO `course_cache` SELECT * FROM `coursecache`;
DROP TABLE `coursecache`;

CREATE TABLE IF NOT EXISTS `data_packet` (`_id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `packetId` INTEGER, `localUid` INTEGER NOT NULL, `name` TEXT, `intro` TEXT, `type` INTEGER, `state` INTEGER, `weight` INTEGER, `ctime` INTEGER NOT NULL, `utime` INTEGER NOT NULL, `downloadStatus` INTEGER, `downloadedCount` INTEGER, `downloadedSize` INTEGER NOT NULL);
INSERT INTO `data_packet` SELECT * FROM `dataPacket`;
DROP TABLE `dataPacket`;

CREATE TABLE IF NOT EXISTS `data_part` (`_id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `partId` INTEGER, `packetId` INTEGER, `localUid` INTEGER NOT NULL, `name` TEXT, `md5` TEXT, `size` INTEGER NOT NULL, `url` TEXT, `weight` INTEGER NOT NULL, `atime` INTEGER NOT NULL, `ctime` INTEGER NOT NULL, `utime` INTEGER NOT NULL, `downloadStatus` INTEGER NOT NULL, `downloadedSize` INTEGER NOT NULL);
CREATE UNIQUE INDEX `data_part_uni_uid_partId_packetId` ON `data_part` (`localUid`, `partId`, `packetId`);
INSERT INTO `data_part` SELECT * FROM `dataPart`;
DROP TABLE `dataPart`;

CREATE TABLE IF NOT EXISTS `lesson_cache` (`_id` INTEGER PRIMARY KEY AUTOINCREMENT, `localUid` INTEGER NOT NULL, `lessonId` INTEGER, `courseId` INTEGER, `liveType` INTEGER NOT NULL, `_index` INTEGER NOT NULL, `size` INTEGER NOT NULL, `downloadedSize` INTEGER NOT NULL, `downloadStatus` INTEGER NOT NULL, `title` TEXT, `teacherName` TEXT, `classId` TEXT, `begin` INTEGER NOT NULL, `finish` INTEGER NOT NULL, `ctime` INTEGER NOT NULL, `utime` INTEGER NOT NULL, `lessonUrl` TEXT, `lessonPosition` INTEGER NOT NULL, `md5` TEXT, `disabled` INTEGER, `shared` INTEGER, `wsType` INTEGER);
CREATE UNIQUE INDEX `lesson_cache_uni_uid_courseId_lessonId` ON `lesson_cache` (`localUid`, `lessonId`, `courseId`);

INSERT INTO `lesson_cache` SELECT `_id`,`localUid`,`lessonId`,`courseId`,`liveType`,`_index`,`size`,`downloadedSize`,`downloadStatus`,`title`,`teacherName`,`classId`,`begin`,`finish`,`ctime`,`utime`,`lessonUrl`,`lessonPosition`,`md5`,`disabled`,`shared`,`wsType` FROM `lessoncache`;
DROP TABLE `lessoncache`;

CREATE TABLE IF NOT EXISTS `lesson_record` (`_id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `localUid` INTEGER NOT NULL, `lessonId` INTEGER NOT NULL, `courseId` INTEGER NOT NULL, `utime` INTEGER NOT NULL, `ctime` INTEGER NOT NULL);
CREATE UNIQUE INDEX `lesson_record_uni_uid_courseId_lessonId` ON `lesson_record` (`localUid`, `courseId`, `lessonId`);

INSERT INTO `lesson_record` SELECT * FROM `lessonrecord`;
DROP TABLE `lessonrecord`;

CREATE TABLE IF NOT EXISTS `play_progress` (`_id` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `token` TEXT, `type` TEXT, `progress` INTEGER NOT NULL, `totalTime` INTEGER NOT NULL, `lessonId` INTEGER NOT NULL, `ct` INTEGER NOT NULL, `stime` INTEGER NOT NULL);
INSERT INTO `play_progress` SELECT * FROM `playprogress`;
DROP TABLE `playprogress`;

CREATE TABLE IF NOT EXISTS `wrong_word_book` (`id` INTEGER PRIMARY KEY AUTOINCREMENT, `localUid` INTEGER, `word` TEXT, `explain` TEXT, `wrongCount` INTEGER, `rightCount` INTEGER, `ctime` INTEGER, `utime` INTEGER);
CREATE UNIQUE INDEX `wrong_word_book_uni_word` ON `wrong_word_book` (`word`);
INSERT INTO `wrong_word_book` SELECT * FROM `wrongWordBook`;
DROP TABLE `wrongWordBook`;
